Bug 757816 - FTBFS in EPEL-6 ... please upgrade to package from F16
Summary: FTBFS in EPEL-6 ... please upgrade to package from F16
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-flask
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Young
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 757895
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-28 19:00 UTC by Matěj Cepl
Modified: 2018-04-11 08:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-23 18:29:46 UTC


Attachments (Terms of Use)

Description Matěj Cepl 2011-11-28 19:00:35 UTC
+ /usr/bin/python setup.py test
running test
Traceback (most recent call last):
  File "setup.py", line 78, in <module>
    test_suite='__main__.run_tests'
  File "/usr/lib64/python2.6/distutils/core.py", line 152, in setup
    dist.run_commands()
  File "/usr/lib64/python2.6/distutils/dist.py", line 975, in run_commands
    self.run_command(cmd)
  File "/usr/lib64/python2.6/distutils/dist.py", line 995, in run_command
    cmd_obj.run()
  File "/usr/lib/python2.6/site-packages/setuptools/command/test.py", line 127, in run
    self.distribution.fetch_build_eggs(self.distribution.install_requires)
  File "/usr/lib/python2.6/site-packages/setuptools/dist.py", line 245, in fetch_build_eggs
    parse_requirements(requires), installer=self.fetch_build_egg
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 550, in resolve
    raise VersionConflict(dist,req) # XXX put more info here
pkg_resources.VersionConflict: (Jinja2 2.2.1 (/usr/lib64/python2.6/site-packages), Requirement.parse('Jinja2>=2.4'))
chyba: Špatný návratový kód z /var/tmp/rpm-tmp.cHEv0a (%check)


chyby sestavení RPM:
    Špatný návratový kód z /var/tmp/rpm-tmp.cHEv0a (%check)
Could not execute local: Non zero exit
mitmanek:python-flask (el6) $ 

-------------
python-flask-0.7.2-1 could be built in EL-6 if the blocking bug is fixed.

Comment 1 Dan Young 2011-11-28 19:41:12 UTC
Flask requires Jinja2 v2.4 or later. The python-jinja2 package is provided in the RHEL6 base repository at v2.2.1, and thus cannot be updated.

I had requested an EL6 tag sometime back for the python-flask package before I had realized that the older version of Jinja2 was in RHEL6 proper.

Comment 2 Matěj Cepl 2011-11-28 20:44:14 UTC
(In reply to comment #1)
> Flask requires Jinja2 v2.4 or later. The python-jinja2 package is provided in
> the RHEL6 base repository at v2.2.1, and thus cannot be updated.

See bug 757811 comment 1 ... I don't know whether it is possible python-jinja2 would be actually upgraded in RHEL-6, or whether we should hope for python-jinja26 in EPEL.

Comment 3 Matěj Cepl 2011-11-29 07:18:25 UTC
So, there is now python-sphinx10 works just fine and in bug 757895 we have now python-jinja2-26 just exactly to overcome this.

Comment 4 Ian Weller 2012-07-02 18:19:18 UTC
Hi, I've been looking at the EL6 branch for this since we're interested in using Flask in Fedora Infrastructure.

Now that python-jinja2-26 is out, Flask builds just fine on EL6, but I've found some issues with the %check portion of the spec so far:

1) While in %check, setup.py doesn't find python-jinja2-26 first, causing it to error out on a dependency issue. This is fixed by patching setup.py to have "__requires__ = ['Flask>=2.4']" at the top of the file.

2) A test fails:

======================================================================
FAIL: test_test_app_proper_environ (flask.testsuite.basic.BasicFunctionalityTestCase)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/Flask-0.8/flask/testsuite/basic.py", line 722, in test_test_app_proper_environ
    self.assert_equal(rv.status_code, 404)
  File "/builddir/build/BUILD/Flask-0.8/flask/testsuite/__init__.py", line 133, in assert_equal
    return self.assertEqual(x, y)
AssertionError: 200 != 404
----------------------------------------------------------------------

Apparently this test fails because EPEL's version of Werkzeug is too old, and Flask's setup.py incorrectly states this.

https://github.com/mitsuhiko/flask/issues/449

I'm going to keep working on fixing these packaging issues. If anyone has a problem with me just committing fixes to the package git repo, let me know.

Comment 5 Ian Weller 2012-07-02 18:54:26 UTC
Proposed upgrade to python-werkzeug-0.8.3 to epel-devel:

https://www.redhat.com/archives/epel-devel-list/2012-July/msg00002.html

The policy in question is here:

https://fedoraproject.org/wiki/EPEL_incompatible_upgrades_policy

Comment 6 Rick Elrod 2012-07-11 22:14:52 UTC
I've been working on this with Ian today.

The current plan is to get Flask 0.9 in EPEL 6.

We have two small patches that are necessary to make this work as painlessly as possible on RHEL 6. We'll be committing those soon.

The other blocker, as Ian said, python-werkzeug. We have 0.8.3 working fine on RHEL 6, and we can build that for EPEL as soon as the approval Ian mentioned goes through (likely at the next EPEL meeting).

Comment 7 Fedora Update System 2012-08-08 09:07:38 UTC
python-flask-0.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-flask-0.9-1.el6

Comment 8 Fedora Update System 2012-08-08 18:33:17 UTC
Package python-flask-0.9-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-flask-0.9-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6644/python-flask-0.9-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2012-08-09 21:29:49 UTC
python-flask-0.9-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-flask-0.9-4.el6

Comment 10 Fedora Update System 2012-08-22 16:07:48 UTC
python-flask-0.9-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-flask-0.9-5.el6

Comment 11 Fedora Update System 2012-09-23 18:29:46 UTC
python-flask-0.9-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.